Exec { timeout => 300 }


class {"keystone":
    admin_token => "9da1361cafc843c7802bc50a0ce8a748",
    sql_connection => "mysql://keystone_admin:qum5net@10.35.160.137/keystone",
    token_format => "PKI",
    verbose => true,
    debug => true,
}

class {"keystone::roles::admin":
    email => "test@test.com",
    password => "qum5net",
    admin_tenant => "admin"
}

class {"keystone::endpoint":
    public_address  => "10.35.160.137",
    admin_address  => "10.35.160.137",
    internal_address  => "10.35.160.137",
}

# Run token flush every minute (without output so we won't spam admins)
cron { 'token-flush':
    ensure => 'present',
    command => '/usr/bin/keystone-manage token_flush >/dev/null 2>&1',
    minute => '*/1',
    user => 'keystone',
    require => [User['keystone'], Group['keystone']],
} -> service { 'crond':
    ensure => 'running',
    enable => true,
}
# Create firewall rules to allow only the FIREWALL_ALLOWED
# hosts that need to connect via FIREWALL_PORTS
# using FIREWALL_CHAIN

packstack::firewall {'keystone':
  host => 'ALL',
  service_name => 'keystone',
  chain => 'INPUT',
  ports => ['5000', '35357'],
  proto => 'tcp',
}


class {"glance::keystone::auth":
    password => "qum5net",
    public_address => "10.35.160.137",
    admin_address => "10.35.160.137",
    internal_address => "10.35.160.137",
}


class {"cinder::keystone::auth":
    password         => "qum5net",
    public_address   => "10.35.160.137",
    admin_address    => "10.35.160.137",
    internal_address => "10.35.160.137",
}

keystone_service { "${cinder::keystone::auth::auth_name}_v2":
    ensure      => present,
    type        => "${cinder::keystone::auth::service_type}v2",
    description => "Cinder Service v2",
}

keystone_endpoint { "${cinder::keystone::auth::region}/${cinder::keystone::auth::auth_name}_v2":
    ensure       => present,
    public_url   => "${cinder::keystone::auth::public_protocol}://${cinder::keystone::auth::public_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
    admin_url    => "http://${cinder::keystone::auth::admin_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
    internal_url => "http://${cinder::keystone::auth::internal_address}:${cinder::keystone::auth::port}/v2/%(tenant_id)s",
}


class {"nova::keystone::auth":
    password    => "qum5net",
    public_address => "10.35.160.137",
    admin_address => "10.35.160.137",
    internal_address => "10.35.160.137",
    cinder => true,
}


class {"neutron::keystone::auth":
    password    => "qum5net",
    public_address => "10.35.160.137",
    admin_address => "10.35.160.137",
    internal_address => "10.35.160.137",
}

class { 'swift::keystone::auth':
  public_address  => '10.35.160.137',
  password => 'qum5net',
}


class { 'ceilometer::keystone::auth':
    password => 'qum5net',
    public_address => "10.35.160.137",
    admin_address => "10.35.160.137",
    internal_address => "10.35.160.137",
}
